// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Game.hpp"

using namespace Dawn;

Game::Game() :
  renderManager()
{

}

std::shared_ptr<Scene> Game::getCurrentScene() {
  return currentScene;
}

void Game::setCurrentScene(std::shared_ptr<Scene> scene) {
  currentScene = scene;
}

void Game::init() {
  renderManager.init(*this);
}

void Game::update() {
  renderManager.update(*this);
}

Game::~Game() {

}